<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<script>
   let name = prompt('Введите ваше имя', '');
   let age = prompt('Введите ваш возраст', '');
   if ( age <= 18){
       alert('You are not allowed to visit this website')
   } else if (age > 18 && age <= 22 ) {
       let agree = confirm('Are you sure you want to continue?')
       if (agree === true ) {
           alert(`Welcome, ${name}`)
       } else if (agree === false) {
           alert('You are not allowed to visit this website')}
   } else if (age > 22){
       alert(`Welcome, ${name}`)
   }
</script>
</body>
</html>